<!doctype HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<%--BEGIN CMVC --%>
<%--***********************************************************************************--%>
<%--                                                                                   --%>
<%--  Workfile: SOACORE/ws/code/cbebrowser/CBEBrowserWeb/jsp/viewer/CBEBrowserViewUserDataEventDataTable.jsp, wbi.cbebrowser, WASX.SOACORE                                                                    --%>
<%--  Last update: 06/10/16 04:16:57                                                             --%>
<%--  SCCS path, id: /family/botp/vc/8/4/3/3/s.33 1.6                                                           --%>
<%--                                                                                   --%>
<%--***********************************************************************************--%>
<%--END CMVC --%>
<%
//BEGIN COPYRIGHT
//*************************************************************************
//
//	Licensed Materials - Property of IBM
//	5724-L01, 5655-N53, 5724-I82, 5655-R15
//	- Copyright IBM Corporation 2005,2012. All Rights Reserved.
//	US Government Users Restricted Rights- Use, duplication or disclosure
//	restricted by GSA ADP Schedule Contract with IBM Corp.
//
//*************************************************************************
//END COPYRIGHT
%>
<%@ page contentType="text/html;charset=UTF-8" %>

<%@ taglib uri="/WEB-INF/tld/WCLTagLib.tld" prefix="wcl" %>

<%@ page import="com.ibm.wbiserver.cbebrowser.CBEBrowserNlsUtilities"%>
<%@ page import="com.ibm.wbiserver.cbebrowser.ui.ICBEBrowserConstants"%>

<!-- Obtain translated strings up front -->
<%
java.util.Locale locale = request.getLocale();
String datasubtitleString = CBEBrowserNlsUtilities.getNonMessageString( locale, "SUBTITLE.EVENTDATA" );
String datasubdescString = CBEBrowserNlsUtilities.getNonMessageString( locale, "DESC.EVENTDATA" );
%>

<!--
** The View User Data Event Data Table Page: triggered by the View User Data Event Data hyperlink in the event view.
**
** This is the view page that has variable contents depending on the view selected.
** This view jsp is driven by the CBEBrowserEventsServlet modeller and controller.
-->

<wcl:Foundation
  objectScope="session"
  pageName="<%=ICBEBrowserConstants.PAGENAME_VIEWUSERDATAEVENTDATA%>"
  wclFacadeScope="session"
  wclFacadeScopeId="<%=ICBEBrowserConstants.SESSATTR_WCL_FACADE%>">
  
  <HTML>

    <HEAD>
    </HEAD>

    <BODY dir=LTR>
            
      <wcl:WTitledLayout
        objectScopeId="<%=ICBEBrowserConstants.LAYOUTNAME_VIEWUSERDATADATASUBTITLE%>"
        title="<%=datasubtitleString%>"
        description="<%=datasubdescString%>"
        isVisible="false"
        componentOrientation="ltr"
        >
                                                 
        <wcl:WTable
          objectScopeId="<%=ICBEBrowserConstants.TABLE_VIEWUSERDATA_EVENTDATA%>"
          id="<%=ICBEBrowserConstants.TABLE_VIEWUSERDATA_EVENTDATA%>"
          tableModelScope="session"
          tableModelScopeId="<%=ICBEBrowserConstants.SESSATTR_VIEWUSERDATADATAMODEL%>"
          saveModelInComponent="false"
          features="08"
          isToolbarVisible="false"
          isFooterVisible="false"
          selectionMode="no"
          componentOrientation="ltr"
          >
       
          <wcl:StyleInfo
            className="com.ibm.psw.wcl.skins.base.BaseTableStyleInfo">
            <wcl:StyleValue descriptorId="<%=com.ibm.psw.wcl.core.skin.ISkinConstants.ID_TABLE_DATA%>" attribute="font-size" value="70%"/>
            <wcl:StyleValue descriptorId="<%=com.ibm.psw.wcl.core.skin.ISkinConstants.ID_TABLE_SELECTED_DATA%>" attribute="font-size" value="70%"/>
            <wcl:StyleValue descriptorId="<%=com.ibm.psw.wcl.core.skin.ISkinConstants.ID_TABLE_DATA_NOGRID%>" attribute="font-size" value="70%"/>
            <wcl:StyleValue descriptorId="<%=com.ibm.psw.wcl.core.skin.ISkinConstants.ID_TABLE_SELECTED_DATA_NOGRID%>" attribute="font-size" value="70%"/>
          </wcl:StyleInfo>
                
          <wcl:ColumnCustomizer
            viewColumn="1"
            cellScope="session"
            cellScopeId="<%=ICBEBrowserConstants.SESSATTR_FLYOVERCELL_UDATA%>"
            cellRendererClass="com.ibm.wbiserver.cbebrowser.ui.table.CBEBrowserContextDataCellRenderer"
            rendererInfoScope="session"
            rendererInfoScopeId="<%=ICBEBrowserConstants.SESSATTR_HTMLRENDINFO%>"
          />
                     
        </wcl:WTable>                
      
      </wcl:WTitledLayout>
        
    </BODY>

  </HTML>

</wcl:Foundation>
 
